@echo off
equal.com %1 %2
IF ERRORLEVEL 4 goto NO_MEMORY
IF ERRORLEVEL 3 goto FILE_NOT_FOUND
IF ERRORLEVEL 2 goto WRONG_PARAMETERS
IF ERRORLEVEL 1 goto NOT_EQUAL
IF ERRORLEVEL 0 goto EQUAL
:NOT_EQUAL
echo The files %1 and %2 are not equal.
goto FINISH
:WRONG_PARAMETERS
echo Wrong parameters! Usage: EQUAL.BAT <file 1> <file 2>
goto FINISH
:FILE_NOT_FOUND
echo Error: One of the two files could not be found.
goto FINISH
:NO_MEMORY
echo Error: Not enough memory to execute EQUAL.COM.
goto FINISH
:EQUAL
echo The files %1 and %2 are equal.
:FINISH
