@ECHO off
REM      Sets the DOS environment variable "TempDisk" to the next
REM      available drive for mapping or search drive allocation and maps
REM      it to the directory indicated by the single command line argument.
REM      This variable may be used later by "DelTDisk" to delete the mapping.
        NextDriv
         IF ERRORLEVEL 26 GOTO NoCanDo
         IF ERRORLEVEL 13 GOTO GT12
         IF ERRORLEVEL 12 GOTO E12
         IF ERRORLEVEL 11 GOTO E11
         IF ERRORLEVEL 10 GOTO E10
         IF ERRORLEVEL 9 GOTO E9
         IF ERRORLEVEL 8 GOTO E8
         IF ERRORLEVEL 7 GOTO E7
         IF ERRORLEVEL 6 GOTO E6
         IF ERRORLEVEL 5 GOTO E5
         IF ERRORLEVEL 4 GOTO E4
         IF ERRORLEVEL 3 GOTO E3
         IF ERRORLEVEL 2 GOTO E2
         IF ERRORLEVEL 1 GOTO E1
         IF ERRORLEVEL 0 GOTO E0
:GT12
         IF ERRORLEVEL 25 GOTO E25
         IF ERRORLEVEL 24 GOTO E24
         IF ERRORLEVEL 23 GOTO E23
         IF ERRORLEVEL 22 GOTO E22
         IF ERRORLEVEL 21 GOTO E21
         IF ERRORLEVEL 20 GOTO E20
         IF ERRORLEVEL 19 GOTO E19
         IF ERRORLEVEL 18 GOTO E18
         IF ERRORLEVEL 17 GOTO E17
         IF ERRORLEVEL 16 GOTO E16
         IF ERRORLEVEL 15 GOTO E15
         IF ERRORLEVEL 14 GOTO E14
         IF ERRORLEVEL 13 GOTO E13
:NoCanDo
        ECHO:
        ECHO No free drives are availible for mapping
        ECHO:
        BEEP 2
        SET TempDisk=NONE
        GOTO bail
:E25
        SET TempDisk=Z
        GOTO done
:E24
        SET TempDisk=Y
        GOTO done
:E23
        SET TempDisk=X
        GOTO done
:E22
        SET TempDisk=W
        GOTO done
:E21
        SET TempDisk=V
        GOTO done
:E20
        SET TempDisk=U
        GOTO done
:E19
        SET TempDisk=T
        GOTO done
:E18
        SET TempDisk=S
        GOTO done
:E17
        SET TempDisk=R
        GOTO done
:E16
        SET TempDisk=Q
        GOTO done
:E15
        SET TempDisk=P
        GOTO done
:E14
        SET TempDisk=O
        GOTO done
:E13
        SET TempDisk=N
        GOTO done
:E12
        SET TempDisk=M
        GOTO done
:E11
        SET TempDisk=L
        GOTO done
:E10
        SET TempDisk=K
        GOTO done
:E9
        SET TempDisk=J
        GOTO done
:E8
        SET TempDisk=I
        GOTO done
:E7
        SET TempDisk=H
        GOTO done
:E6
        SET TempDisk=G
        GOTO done
:E5
        SET TempDisk=F
        GOTO done
:E4
        SET TempDisk=E
        GOTO done
:E3
        SET TempDisk=D
        GOTO done
:E2
        SET TempDisk=C
        GOTO done
:E1
        SET TempDisk=B
        GOTO done
:E0
        SET TempDisk=A
:Done
        MAP %TempDisk%:=%1% > NUL > NUL
:Bail