# Old microsoft make file for LANutils
# Copyright 1991 by Jon Marbry All rights reserved
#
# NOTE: This makefile requires the EXEMOD utility, which seems to be
# increasingly hard to find.  If you don't have it, you can safely
# comment out or erase the lines in which it appears.  The only effect
# will be that LANutils programs that shell out to DOS will not be able
# to make quite as much memory available to the DOS shells.
#
compile=msc /AC /Od /DLINT_ARGS=1 /DSHAREWARE=1 $*.c;
link=link /CO /STACK:4096 
assemble=masm /DEZ /DMC /DSHAREWARE=1 $*.asm;

lantasti.obj: lantasti.asm
$(assemble)

#	LOGIN PROGRAM
login.obj: login.c
$(compile)

login.exe: login.obj lantasti.obj
$(link) login lantasti;
exemod login /max 0

#	LOGOUT PROGRAM
logout.obj: logout.c
$(compile)

logout.exe: logout.obj lantasti.obj
$(link) logout lantasti;

#	WAITFOR PROGRAM
waitfor.obj: waitfor.c
$(compile)
$(link) waitfor lantasti;

#	FASTNET PROGRAM
lanctl.obj: lanctl.asm
$(assemble)

fastnet.obj: fastnet.c
$(compile)

fastnet.exe: fastnet.obj lanctl.obj lantasti.obj
$(link) fastnet lanctl lantasti;

# 	MSET PROGRAM
mset.obj: mset.c
msc /AC /Ox /Zp mset;

mset.exe: mset.obj
link mset;

#	USERLIST PROGRAM
userlist.obj: userlist.c
$(compile)

userlist.exe: userlist.obj lantasti.obj
$(link) userlist lantasti;

#       MESSAGE PROGRAM
message.obj: message.asm
$(assemble)
link message;
com message

#	INTERCOM PROGRAM
intercom.obj: intercom.asm
$(assemble)
link intercom;
com intercom

#	RESIDENT EXTENSIONS
rxm.obj: rxm.asm
$(assemble)
link rxm;
com rxm

# 	FINDUSER PROGRAM
finduser.obj: finduser.c
$(compile)

finduser.exe: finduser.obj
$(link) finduser lantasti;

#	SENDUSER PROGRAM
senduser.obj: senduser.c
$(compile)

senduser.exe: senduser.obj
$(link) senduser lantasti;

# 	SYSTEM PROGRAM
system.obj: system.c
$(compile)

chkhdw.obj: chkhdw.asm
$(assemble)

hardware.obj: hardware.c
$(compile)

system.exe: system.obj hardware.obj chkhdw.obj
$(link) system hardware chkhdw;
exemod system /max 0

