PROGRAM MAPSAVE;    {Written by Wolfgang Schreiber (NOVELL Duesseldorf}


Uses
  Crt;

TYPE   DATEI   = TEXT;
       STR80   = STRING[80];

VAR    EIN,AUS      : TEXT;
       ZEILE, PATH  : STR80;
       I,ZNR        : INTEGER;
       DTYP, DRV, SX    : CHAR;

 PROCEDURE DelBlanks;
 VAR i : INTEGER;
     p : Str80;
 BEGIN
 p := '';
 for i:=1 to Length(Path) DO if Path[i]<>' ' then p:=p+Path[i];
 path := p;
 END;

BEGIN
{$I-}
ASSIGN(EIN,'MAPS');       RESET(EIN);
ASSIGN(AUS,'MAPGET.BAT'); REWRITE(AUS);
{$I+}

IF IORESULT<>0 then
              BEGIN
              WriteLn('  I/O-Error');
              WriteLn('  Do you have enough space  on your default drive ?');
              WriteLn('  Do you have enough rights on your default drive ?');
              EXIT
              END;

   ClrScr;
   WriteLn('MAPSAVE  will save your current mappings.');
   WriteLn('         Choose the drives that you want to save:');
   WriteLn;

WHILE NOT EOF(EIN) DO
   BEGIN
   READLN(EIN, ZEILE);
   IF (POS('local disk',ZEILE)=0) AND (POS('---',ZEILE)=0) AND (LENGTH(ZEILE)>13)  THEN
      BEGIN
      DTYP := ZEILE[1];
      CASE DTYP OF
        'D' : PATH := COPY(ZEILE,13,80);
        'S' : IF (ZEILE[16]=' ') or (ZEILE[16]='.')
                 then PATH := COPY(ZEILE,18,80)
                 else PATH := COPY(ZEILE,13,80);
        END; {CASE};
      IF COPY(PATH,1,1)='[' THEN
         BEGIN
         PATH := COPY(PATH,2,80);
         VAL(COPY(ZEILE,7,2),ZNR,I)
         END
                          ELSE
         VAL(COPY(ZEILE,7,1),ZNR,I);
      IF DTYP='S' THEN BEGIN
                       PATH:=COPY(PATH,1,LENGTH(PATH)-1);
                       WRITELn('Search Drive ', ZNR,': ', PATH)
                       END;
      IF DTYP='D' THEN BEGIN
                       DRV :=ZEILE[8];
                       WRITELn('       Drive  ',DRV,': ', PATH)
                       END;

      WRITE('             S=SAVE   D=DISCARD   : D',#8);
      SX := ReadKey;
      WRITE(#13,'                                         ',#13);

      IF SX IN ['S','s'] THEN
         BEGIN
         DelBlanks;
         IF DTYP='S' THEN WRITELN(AUS,'MAP S16:= ', PATH);
         IF DTYP='D' THEN WRITELN(AUS,'MAP ',DRV,':= ', PATH);
         END
      END
   END;

CLOSE(EIN); CLOSE(AUS);

WriteLn;
WriteLn;
WriteLn('Restore your current mappings at any time by typing the');
WriteLn('  Batch-File  MAPGET');
WriteLn;
WriteLn('MAPSAVE  written by  Wolfgang Schreiber  -  Novell Duesseldorf');
WriteLn;

END.

