#define false 0
#define true ~ false

#define NOS_VERSION 0x0400
#define NUM_UPDATES_FOR_TIMEOUT 30

#define plotterport 0
#define plotterstring "@PLOTTER"
#define plotterserverstring "\\\\CAD_SERVER     "

//  define positions of menu presentations

#define firstxpos  24
#define secondxpos 44
#define thirdxpos  67

//  define keys used in menus

#define key_f1	187
#define key_f2	188
#define key_f3	189
#define key_enter 13
#define key_esc 27
#define key_cursorup 200
#define key_cursordown 208
#define key_cursorleft 203
#define key_cursorright 205
#define key_home 199
#define key_end 207

//  define structure used to hold server related information

struct serverdef
{
    BYTE    servername [D_NAMESZ + 2];
    struct  time_block time;
    int     queue_privilege;
    int     queue_jobs;
    BYTE    PS_state_pause [5];
    BYTE    PS_state_value [5];
    DWORD   PS_index [5];
    WORD    PS_CPS [5];
    DWORD   PS_output_chars [5];
};

//  define structure used to hold queued files related information

struct localqueuedef
{
    DWORD   sort_order;
    char    sequencestring [10];
    struct  queue_entry qe;
    int     server;
    int     printer;
};


//  prototypes

comparestring (char *s1, char *s2);
compareDWORD (DWORD *d1, DWORD *d2);
